 <script>
$('#update_form').on("submit", function(event){  
  event.preventDefault();  
  if($('#enomor_perkarapa').val() == "")  
  {  
   alert("Mohon Isi Nomor_Perkara");  
  }  
  else if($('#ejenis_perkarapa').val() == '')  
  {  
   alert("Mohon Isi Jenis Perkara");  
  } 
   else if($('#enama_pembanding').val() == '')  
  {  
   alert("Mohon Isi Nama Pihak Pembanding");  
  } 
   else if($('#enama_terbanding').val() == '')  
  {  
   alert("Mohon Isi Nama Pihak Terbanding");  
  }    
 
  else  
  {  
   $.ajax({  
    url:"informasi/update.php",  
    method:"POST",  
    data:$('#update_form').serialize(),  
    beforeSend:function(){  
     $('#update').val("Updating");  
    },  
    success:function(data){  
     $('#update_form')[0].reset();  
     $('#editModal').modal('hide');  
     $('#employee_table').html(data);  
     location.reload();
    }  
   });  
  }  
 });
</script>
<?php 
if(isset($_POST["employee_id"]))
{
 $output = '';
 include 'database.php';
 $query = "SELECT * FROM datatamu WHERE id = '".$_POST["employee_id"]."'";
 $result = mysqli_query($conn, $query);
	$row = mysqli_fetch_array($result);
     $output .= '
        <form method="post" id="update_form" style="font-family:cambria; font-size:12px;">
            <input type="hidden" name="id" id="id" value="'.$_POST["employee_id"].'" class="form-control" />
            <input type="hidden" name="checkin" id="checkin" value="'.bln_indo1(date("Y-m-d", strtotime($row["checkin"]))).'" class="form-control" />
            <input type="hidden" name="thn_informasi" id="thn_informasi" value="'.thn_indo(date("Y-m-d", strtotime($row["checkin"]))).'" class="form-control" />
            <table style="font-family:cambria; font-size:12px;">
            <tr>
                <td style="width: 200px;">Tanggal Permohonan</td>
                <td> : '.bln_indo(date("Y-m-d", strtotime($row["checkin"]))).'</td>
            </tr>
            <tr>
                <td>Nama Pemohon</td>
                <td> : '.$row['nama'].'</td>
            </tr>
            <tr>
                <td>Pekerjaan</td>
                <td> : '.$row['jabatan'].'</td>
            </tr>
            <tr>
                <td>Alamat</td>
                <td> : '.$row['instansi'].'</td>
            </tr>
            <tr>
                <td>No. Telpon</td>
                <td> : '.$row['telp'].'</td>
            </tr>
            <tr>
                <td>Jenis Informasi</td>
                <td> : '.$row['jenis_informasi'].'</td>
             </tr>
            <tr>
                <td>Kepentingan</td>
                <td> : '.$row['kepentingan'].'</td>
            </tr>
	 </table>
     <br/>';
     include 'database.php';
     $que = "SELECT * FROM tb_informasi WHERE id = '".$_POST["employee_id"]."'";
     $cari = mysqli_query($koneksi, $que);
        $data = mysqli_fetch_array($cari);
         $output .= '
     <label>Email</label>
     <input type="text" name="email" id="email" class="form-control" value="'.$data['email'].'" style="font-size:12px; font-family:Cambria"/>
     <label>Tujuan Memperoleh Informasi</label>
     <input type="text" name="erincian" id="erincian" class="form-control" value="'.$data['rincian'].'" style="font-size:12px; font-family:Cambria"/>
     <label>Cara Memperoleh</label>
     <select id="ememperoleh" name="ememperoleh" class="form-select" style="font-size:12px">
     <option value="'.$data['cara_memperoleh'].'" disabled selected>'.$data['cara_memperoleh'].'</option>
     <option value="Melihat">Melihat</option>
     <option value="Membaca">Membaca</option>
     <option value="Mendengarkan">Mendengarkan	</option>
     <option value="Mendapatkan Salinan Informasi (Softcopy)">Mendapatkan Salinan Informasi (Softcopy)</option>
     <option value="Mendapatkan Salinan Informasi (Hardcopy)">Mendapatkan Salinan Informasi (Hardcopy)</option>
    </select>
     <label>Cara Mendapatkan</label>
     <select id="emendapatkan" name="emendapatkan" class="form-select" style="font-size:12px">
     <option value="'.$data['cara_mendapatkan'].'" disabled selected>'.$data['cara_mendapatkan'].'</option>
     <option value="Mengambil Lansung">Mengambil Lansung</option>
     <option value="Email">Email</option>
     </select>
	 <br/>
     <input type="submit" name="update" id="update" value="Simpan" class="btn btn-success btn-sm" style="font-size:12px"/>

    </form>
     ';
    echo $output;
}
?>

<?php
function bln_indo($tanggal){
	$bulan = array (
		1 =>   'Januari',
		'Februari',
		'Maret',
		'April',
		'Mei',
		'Juni',
		'Juli',
		'Agustus',
		'September',
		'Oktober',
		'November',
		'Desember'
	);
	$pecahkan = explode('-', $tanggal);
	
	// variabel pecahkan 0 = tanggal
	// variabel pecahkan 1 = bulan
	// variabel pecahkan 2 = tahun
 
    return $pecahkan[2] . ' ' . $bulan[ (int)$pecahkan[1] ] . ' ' . $pecahkan[0];
}

function bln_indo1($tanggal1){
	$bulan1 = array (
		1 =>   'Januari',
		'Februari',
		'Maret',
		'April',
		'Mei',
		'Juni',
		'Juli',
		'Agustus',
		'September',
		'Oktober',
		'November',
		'Desember'
	);
	$pecahkan1 = explode('-', $tanggal1);
	
	// variabel pecahkan 0 = tanggal
	// variabel pecahkan 1 = bulan
	// variabel pecahkan 2 = tahun
 
    return $bulan1[ (int)$pecahkan1[1] ] . ' ' . $pecahkan1[0];
}

function thn_indo($tanggal2){
	$bulan2 = array (
		1 =>   'Januari',
		'Februari',
		'Maret',
		'April',
		'Mei',
		'Juni',
		'Juli',
		'Agustus',
		'September',
		'Oktober',
		'November',
		'Desember'
	);
	$pecahkan2 = explode('-', $tanggal2);
	
	// variabel pecahkan 0 = tanggal
	// variabel pecahkan 1 = bulan
	// variabel pecahkan 2 = tahun
 
    return $pecahkan2[0];
}
?>